package hu.se.app01;

/**
 * Class under test.
 */
public class AnswerApp {

	private MyAnswers myAnswers;

	public AnswerApp(MyAnswers myAnswers) {
		this.myAnswers = myAnswers;
	}

	/**
	 * Returns an answer to the given question.
	 * 
	 * @param question
	 *            the question to be answered.
	 * @return the answer to the question
	 */
	public String answerQuestion(String question) {
		String answer;
		if (question.endsWith("?")) {
			answer = this.myAnswers.getTheAnswer();
		} else {
			answer = "Is this a question?";
		}
		return answer;
	}

}
